package cn.axzo.workflow.common.model.response.mq;

import java.io.Serializable;
import java.util.List;

/**
 * Starter RPC 调用事件模型
 *
 * @author wangli
 * @since 2024/5/30 11:21
 */
public class WorkflowEngineStarterRpcInvokeDTO implements Serializable {
    private static final long serialVersionUID = -1L;

    private String className;

    private String methodName;

    private List<String> parameters;

    private String parameterTypesMd5;

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getMethodName() {
        return methodName;
    }

    public void setMethodName(String methodName) {
        this.methodName = methodName;
    }

    public List<String> getParameters() {
        return parameters;
    }

    public void setParameters(List<String> parameters) {
        this.parameters = parameters;
    }

    public String getParameterTypesMd5() {
        return parameterTypesMd5;
    }

    public void setParameterTypesMd5(String parameterTypesMd5) {
        this.parameterTypesMd5 = parameterTypesMd5;
    }
}
